--- src/actions.cpp.orig	2017-03-08 14:42:28.000000000 -0600
+++ src/actions.cpp	2017-06-20 15:37:01.000000000 -0500
@@ -2045,9 +2045,13 @@
 #else
  /* Unix/Linux/Cygwin/MacOSX */
  #include <pthread.h>
+ /* This is the critical section object (statically allocated). */
  #if defined(__APPLE__)
-  /* This is the critical section object (statically allocated). */
-  static pthread_mutex_t cs =  PTHREAD_RECURSIVE_MUTEX_INITIALIZER;
+  #if defined(PTHREAD_RECURSIVE_MUTEX_INITIALIZER)
+    static pthread_mutex_t cs =  PTHREAD_RECURSIVE_MUTEX_INITIALIZER;
+   #else
+    static pthread_mutex_t cs =  PTHREAD_MUTEX_INITIALIZER;
+  #endif
  #else
   static pthread_mutex_t cs =  PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP;
  #endif
